Subject: [abfab] Channel Binding in the absence of Mututal Authentication.

From: "Jim Schaad" <[email-masked]>
Date: Thu, 31 Mar 2011 13:41:44 +0200

Sam,

You talked about this as part of the meeting today.  In response to your
request for comments.

1.  Not having the channel binding even in the absence of mutual
authentication is something that I have a gut reaction  which says that I
want it even I don't know why.

2.  Can you present a usage case where I would not want mutual
authentication to occur.  The only places that I can see this as being true
are situations where I want to have some non-traceability or anonymity in
the system.  But even in those cases I want to get the mutual authentication
so that I can bind all of the channels together even in the absence of
really knowing who all of the parties are.

Jim